# Bifrost: API Integrations

## Integrations

### OpenAI Integration

- [Create chat completion (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/create-chat-completion-openai-format.md): Creates a chat completion using OpenAI-compatible format. Supports streaming via SSE.
- [Create chat completion (Azure OpenAI)](https://docs.getbifrost.ai/api-reference/openai-integration/create-chat-completion-azure-openai.md): Creates a chat completion using Azure OpenAI deployment.
- [Create text completion (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/create-text-completion-openai-format.md): Creates a text completion using OpenAI-compatible format. This is the legacy completions API.
- [Create text completion (Azure OpenAI)](https://docs.getbifrost.ai/api-reference/openai-integration/create-text-completion-azure-openai.md)
- [WebSocket Responses (OpenAI alias)](https://docs.getbifrost.ai/api-reference/openai-integration/websocket-responses-openai-alias.md): WebSocket upgrade endpoint for the Responses API. Mirrors the canonical `GET /v1/responses` WS endpoint; the OpenAI-prefixed path is selected when the request includes an `Upgrade: websocket` header. Authentication accepts the same headers as the inference HTTP surface plus the `openai-insecure-api-…
- [Create response (OpenAI Responses API)](https://docs.getbifrost.ai/api-reference/openai-integration/create-response-openai-responses-api.md): Creates a response using OpenAI Responses API format. Supports streaming via SSE.
- [Create response (Azure OpenAI)](https://docs.getbifrost.ai/api-reference/openai-integration/create-response-azure-openai.md)
- [Count input tokens](https://docs.getbifrost.ai/api-reference/openai-integration/count-input-tokens.md): Counts the number of tokens in a Responses API request.
- [Retrieve a response (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/retrieve-a-response-openai-format.md): Retrieves a stored response by ID.
- [Delete a response (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/delete-a-response-openai-format.md): Deletes a stored response.
- [Cancel a response (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/cancel-a-response-openai-format.md): Cancels an in-flight response. Only responses created with `background: true` can be cancelled.
- [List response input items (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/list-response-input-items-openai-format.md): Lists the input items of a stored response.
- [Compact context (OpenAI)](https://docs.getbifrost.ai/api-reference/openai-integration/compact-context-openai.md): Compresses a conversation into an opaque compaction item using the OpenAI-compatible `/v1/responses/compact` endpoint. Drop-in compatible with the OpenAI SDK.
- [Create embeddings (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/create-embeddings-openai-format.md): Creates embedding vectors for the input text.
- [Create embeddings (Azure OpenAI)](https://docs.getbifrost.ai/api-reference/openai-integration/create-embeddings-azure-openai.md)
- [Create speech (OpenAI TTS)](https://docs.getbifrost.ai/api-reference/openai-integration/create-speech-openai-tts.md): Generates audio from text using OpenAI TTS. Supports streaming via SSE when stream_format is set to 'sse'.
- [Create speech (Azure OpenAI TTS)](https://docs.getbifrost.ai/api-reference/openai-integration/create-speech-azure-openai-tts.md)
- [Create transcription (OpenAI Whisper)](https://docs.getbifrost.ai/api-reference/openai-integration/create-transcription-openai-whisper.md): Transcribes audio into text using OpenAI Whisper.
- [Create transcription (Azure OpenAI)](https://docs.getbifrost.ai/api-reference/openai-integration/create-transcription-azure-openai.md)
- [List models (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/list-models-openai-format.md): Lists available models in OpenAI format.
- [List models (Azure OpenAI)](https://docs.getbifrost.ai/api-reference/openai-integration/list-models-azure-openai.md)
- [List batch jobs (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/list-batch-jobs-openai-format.md): Lists batch processing jobs.
- [Create batch job (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/create-batch-job-openai-format.md): Creates a batch processing job.
- [Retrieve batch job (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/retrieve-batch-job-openai-format.md): Retrieves details of a batch processing job.
- [Cancel batch job (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/cancel-batch-job-openai-format.md): Cancels a batch processing job.
- [Create image](https://docs.getbifrost.ai/api-reference/openai-integration/create-image.md): Generates images from text prompts using OpenAI-compatible format.
- [Create image (Azure OpenAI)](https://docs.getbifrost.ai/api-reference/openai-integration/create-image-azure-openai.md): Generates images from text prompts using Azure OpenAI deployment.
- [List files (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/list-files-openai-format.md): Lists uploaded files.
- [Upload file (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/upload-file-openai-format.md): Uploads a file for use with batch processing or other features.
- [Retrieve file metadata (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/retrieve-file-metadata-openai-format.md): Retrieves metadata for an uploaded file.
- [Delete file (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/delete-file-openai-format.md): Deletes an uploaded file.
- [Get file content (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/get-file-content-openai-format.md): Retrieves the content of an uploaded file.
- [List containers (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/list-containers-openai-format.md): Lists containers for a provider.
- [Create container (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/create-container-openai-format.md): Creates a new container for storing files and data.
- [Retrieve container (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/retrieve-container-openai-format.md): Retrieves a specific container by ID.
- [Delete container (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/delete-container-openai-format.md): Deletes a container.
- [List files in container (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/list-files-in-container-openai-format.md): Lists all files in a container.
- [Create file in container (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/create-file-in-container-openai-format.md): Creates a new file in a container. You can either upload file content directly via multipart/form-data or reference an existing file by its ID.
- [Retrieve file from container (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/retrieve-file-from-container-openai-format.md): Retrieves metadata for a specific file in a container.
- [Delete file from container (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/delete-file-from-container-openai-format.md): Deletes a file from a container.
- [Get file content from container (OpenAI format)](https://docs.getbifrost.ai/api-reference/openai-integration/get-file-content-from-container-openai-format.md): Downloads the content of a file from a container.
- [List video generations](https://docs.getbifrost.ai/api-reference/openai-integration/list-video-generations.md): Lists previously submitted video generation jobs.
- [Create a video generation](https://docs.getbifrost.ai/api-reference/openai-integration/create-a-video-generation.md): Submits a video generation job using OpenAI's Videos API. The request is multipart/form-data and may include reference images.
- [Retrieve a video generation](https://docs.getbifrost.ai/api-reference/openai-integration/retrieve-a-video-generation.md): Returns metadata for a previously submitted video generation job.
- [Delete a video generation](https://docs.getbifrost.ai/api-reference/openai-integration/delete-a-video-generation.md): Deletes a previously generated video.
- [Download generated video content](https://docs.getbifrost.ai/api-reference/openai-integration/download-generated-video-content.md): Streams the binary video bytes for a completed generation job.
- [Remix an existing video](https://docs.getbifrost.ai/api-reference/openai-integration/remix-an-existing-video.md): Creates a new generation by remixing a prior video with new prompt parameters.
- [WebSocket Realtime (OpenAI alias)](https://docs.getbifrost.ai/api-reference/openai-integration/websocket-realtime-openai-alias.md): OpenAI-prefixed alias of `GET /v1/realtime`. WebSocket upgrade endpoint for OpenAI Realtime; selects the model via the `model` query parameter (Azure GA) or `deployment` (preview).
- [WebRTC Realtime SDP exchange (OpenAI alias)](https://docs.getbifrost.ai/api-reference/openai-integration/webrtc-realtime-sdp-exchange-openai-alias.md): OpenAI-prefixed alias of `POST /v1/realtime/calls`. Performs the WebRTC SDP exchange for OpenAI Realtime calls. Accepts either multipart form data with `sdp` + `session` parts (GA) or a raw SDP body (legacy).
- [Create realtime client secret (OpenAI alias)](https://docs.getbifrost.ai/api-reference/openai-integration/create-realtime-client-secret-openai-alias.md): OpenAI-prefixed alias of `POST /v1/realtime/client_secrets`. Mints an ephemeral client secret used to authorize a downstream Realtime client.
- [Create realtime session (OpenAI alias)](https://docs.getbifrost.ai/api-reference/openai-integration/create-realtime-session-openai-alias.md): OpenAI-prefixed alias of `POST /v1/realtime/sessions`. Creates a pre-configured realtime session that can be joined by clients.

### Anthropic Integration

- [Create message (Anthropic format)](https://docs.getbifrost.ai/api-reference/anthropic-integration/create-message-anthropic-format.md): Creates a message using Anthropic Messages API format. Supports streaming via SSE.
- [Create message (Anthropic format) - wildcard](https://docs.getbifrost.ai/api-reference/anthropic-integration/create-message-anthropic-format--wildcard.md): Handles extended messages API paths.
- [Create completion (Anthropic legacy format)](https://docs.getbifrost.ai/api-reference/anthropic-integration/create-completion-anthropic-legacy-format.md): Creates a text completion using Anthropic's legacy Complete API. Supports streaming via SSE.
- [List models (Anthropic format)](https://docs.getbifrost.ai/api-reference/anthropic-integration/list-models-anthropic-format.md): Lists available models in Anthropic format.
- [Count tokens (Anthropic format)](https://docs.getbifrost.ai/api-reference/anthropic-integration/count-tokens-anthropic-format.md): Counts the number of tokens in a message request.
- [List batch jobs (Anthropic format)](https://docs.getbifrost.ai/api-reference/anthropic-integration/list-batch-jobs-anthropic-format.md): Lists batch processing jobs.
- [Create batch job (Anthropic format)](https://docs.getbifrost.ai/api-reference/anthropic-integration/create-batch-job-anthropic-format.md): Creates a batch processing job using Anthropic format. Use x-model-provider header to specify the provider.
- [Retrieve batch job (Anthropic format)](https://docs.getbifrost.ai/api-reference/anthropic-integration/retrieve-batch-job-anthropic-format.md): Retrieves details of a batch processing job.
- [Cancel batch job (Anthropic format)](https://docs.getbifrost.ai/api-reference/anthropic-integration/cancel-batch-job-anthropic-format.md): Cancels a batch processing job.
- [Get batch results (Anthropic format)](https://docs.getbifrost.ai/api-reference/anthropic-integration/get-batch-results-anthropic-format.md): Retrieves results of a completed batch job.
- [List files (Anthropic format)](https://docs.getbifrost.ai/api-reference/anthropic-integration/list-files-anthropic-format.md): Lists uploaded files.
- [Upload file (Anthropic format)](https://docs.getbifrost.ai/api-reference/anthropic-integration/upload-file-anthropic-format.md): Uploads a file. Use x-model-provider header to specify the provider.
- [Get file content (Anthropic format)](https://docs.getbifrost.ai/api-reference/anthropic-integration/get-file-content-anthropic-format.md): Retrieves file content. Returns raw binary file data when Accept header is set to application/octet-stream, or file metadata as JSON when Accept header is set to application/json.
- [Delete file (Anthropic format)](https://docs.getbifrost.ai/api-reference/anthropic-integration/delete-file-anthropic-format.md): Deletes an uploaded file.

### GenAI Integration

- [Generate content (Gemini format)](https://docs.getbifrost.ai/api-reference/genai-integration/generate-content-gemini-format.md): Generates content using Google Gemini API format. The model is specified in the URL path.
- [Stream generate content (Gemini format)](https://docs.getbifrost.ai/api-reference/genai-integration/stream-generate-content-gemini-format.md): Streams content generation using Google Gemini API format. The model is specified in the URL path.
- [Embed content (Gemini format)](https://docs.getbifrost.ai/api-reference/genai-integration/embed-content-gemini-format.md): Creates embeddings using Google Gemini API format.
- [Count tokens (Gemini format)](https://docs.getbifrost.ai/api-reference/genai-integration/count-tokens-gemini-format.md): Counts tokens using Google Gemini API format.
- [Generate image (Gemini format)](https://docs.getbifrost.ai/api-reference/genai-integration/generate-image-gemini-format.md): For Imagen models, use the `:predict` suffix (e.g., `imagen-3.0-generate-001:predict`). For Gemini models, use `:generateContent` with `generationConfig.responseModalities: ["IMAGE"]` in the request body.
- [List models (Gemini format)](https://docs.getbifrost.ai/api-reference/genai-integration/list-models-gemini-format.md): Lists available models in Google Gemini API format.
- [Upload file (Gemini format)](https://docs.getbifrost.ai/api-reference/genai-integration/upload-file-gemini-format.md): Uploads a file using Google Gemini API format.
- [List files (Gemini format)](https://docs.getbifrost.ai/api-reference/genai-integration/list-files-gemini-format.md): Lists uploaded files in Google Gemini API format.
- [Retrieve file (Gemini format)](https://docs.getbifrost.ai/api-reference/genai-integration/retrieve-file-gemini-format.md): Retrieves file metadata in Google Gemini API format.
- [Delete file (Gemini format)](https://docs.getbifrost.ai/api-reference/genai-integration/delete-file-gemini-format.md): Deletes a file in Google Gemini API format.
- [List batch jobs (Gemini format)](https://docs.getbifrost.ai/api-reference/genai-integration/list-batch-jobs-gemini-format.md): Lists batch jobs in Gemini format. Supports `pageSize` / `pageToken` pagination.
- [Retrieve a batch job (Gemini format)](https://docs.getbifrost.ai/api-reference/genai-integration/retrieve-a-batch-job-gemini-format.md)
- [Cancel a batch job (Gemini format)](https://docs.getbifrost.ai/api-reference/genai-integration/cancel-a-batch-job-gemini-format.md): Cancels a batch job. Gemini conventionally sends the request as `/v1beta/batches/{batch_id}:cancel`; the router matches the `:cancel` suffix into the `batch_id` path parameter.
- [Delete a batch job (Gemini format)](https://docs.getbifrost.ai/api-reference/genai-integration/delete-a-batch-job-gemini-format.md)
- [List cached content entries (Gemini format)](https://docs.getbifrost.ai/api-reference/genai-integration/list-cached-content-entries-gemini-format.md)
- [Create cached content (Gemini format)](https://docs.getbifrost.ai/api-reference/genai-integration/create-cached-content-gemini-format.md): Creates a cached content entry that can be re-used across subsequent generate-content calls to reduce repeated prefix tokens.
- [Retrieve cached content (Gemini format)](https://docs.getbifrost.ai/api-reference/genai-integration/retrieve-cached-content-gemini-format.md)
- [Update cached content (Gemini format)](https://docs.getbifrost.ai/api-reference/genai-integration/update-cached-content-gemini-format.md): Updates the TTL or expiration time of a cached content entry. Only `ttl` or `expireTime` may be modified.
- [Delete cached content (Gemini format)](https://docs.getbifrost.ai/api-reference/genai-integration/delete-cached-content-gemini-format.md)
- [Rerank documents (Vertex Rank)](https://docs.getbifrost.ai/api-reference/genai-integration/rerank-documents-vertex-rank.md): Reranks records using Google Vertex AI's Ranking API. The request body follows the Vertex `rankRecords` schema.
- [Retrieve video generation operation (Gemini format)](https://docs.getbifrost.ai/api-reference/genai-integration/retrieve-video-generation-operation-gemini-format.md): Polls the status of a long-running video generation operation produced by `models/{model}:generateVideos`. The Gemini SDK appends the operation name as a wildcard path segment. If the operation name contains `/`, it must be percent-encoded in the request path (for example, `%2F`) to remain conforman…

### Bedrock Integration

- [Converse with model (Bedrock format)](https://docs.getbifrost.ai/api-reference/bedrock-integration/converse-with-model-bedrock-format.md): Sends messages to a model using AWS Bedrock Converse API format.
- [Stream converse with model (Bedrock format)](https://docs.getbifrost.ai/api-reference/bedrock-integration/stream-converse-with-model-bedrock-format.md): Streams messages from a model using AWS Bedrock Converse API format.
- [Invoke model (Bedrock format)](https://docs.getbifrost.ai/api-reference/bedrock-integration/invoke-model-bedrock-format.md): Invokes a model using AWS Bedrock InvokeModel API format. Accepts raw model-specific request body.
- [Invoke model with streaming (Bedrock format)](https://docs.getbifrost.ai/api-reference/bedrock-integration/invoke-model-with-streaming-bedrock-format.md): Invokes a model with streaming using AWS Bedrock InvokeModelWithResponseStream API format.
- [Count tokens (Bedrock format)](https://docs.getbifrost.ai/api-reference/bedrock-integration/count-tokens-bedrock-format.md): Counts tokens for a Converse-style request using AWS Bedrock format. The request body must include `input.converse` with a complete Converse payload; only Converse-shaped input is supported.
- [Create batch inference job (Bedrock format)](https://docs.getbifrost.ai/api-reference/bedrock-integration/create-batch-inference-job-bedrock-format.md): Creates a batch inference job using AWS Bedrock format. Routes to native Bedrock by default; set `x-model-provider` to route the job to another provider (`openai`, `gemini`, etc.).
- [List batch inference jobs (Bedrock format)](https://docs.getbifrost.ai/api-reference/bedrock-integration/list-batch-inference-jobs-bedrock-format.md): Lists batch inference jobs using AWS Bedrock format.
- [Retrieve batch inference job (Bedrock format)](https://docs.getbifrost.ai/api-reference/bedrock-integration/retrieve-batch-inference-job-bedrock-format.md): Retrieves a batch inference job using AWS Bedrock format.
- [Cancel batch inference job (Bedrock format)](https://docs.getbifrost.ai/api-reference/bedrock-integration/cancel-batch-inference-job-bedrock-format.md): Stops a batch inference job using AWS Bedrock format.
- [S3-compatible ListObjectsV2](https://docs.getbifrost.ai/api-reference/bedrock-integration/s3-compatible-listobjectsv2.md): Lists objects in a bucket using S3 ListObjectsV2 semantics. Supports the `prefix` and `max-keys` query parameters used by boto3.
- [S3-compatible GetObject](https://docs.getbifrost.ai/api-reference/bedrock-integration/s3-compatible-getobject.md): Retrieves raw object bytes from the Bifrost file store.
- [S3-compatible PutObject](https://docs.getbifrost.ai/api-reference/bedrock-integration/s3-compatible-putobject.md): Uploads an object to the Bifrost file store using S3 PutObject semantics. The response is empty with an `ETag` header, mirroring native S3.
- [S3-compatible DeleteObject](https://docs.getbifrost.ai/api-reference/bedrock-integration/s3-compatible-deleteobject.md): Deletes an object from the Bifrost file store.
- [S3-compatible HeadObject](https://docs.getbifrost.ai/api-reference/bedrock-integration/s3-compatible-headobject.md): Returns S3 metadata headers (ETag, Content-Length, etc.) without a body.

### Cohere Integration

- [Chat with model (Cohere v2 format)](https://docs.getbifrost.ai/api-reference/cohere-integration/chat-with-model-cohere-v2-format.md): Sends a chat request using Cohere v2 API format.
- [Create embeddings (Cohere v2 format)](https://docs.getbifrost.ai/api-reference/cohere-integration/create-embeddings-cohere-v2-format.md): Creates embeddings using Cohere v2 API format.
- [Rerank documents (Cohere format)](https://docs.getbifrost.ai/api-reference/cohere-integration/rerank-documents-cohere-format.md): Reranks a list of documents against a query using Cohere's v2 Rerank API. The request body matches Cohere's native format.
- [Tokenize text (Cohere format)](https://docs.getbifrost.ai/api-reference/cohere-integration/tokenize-text-cohere-format.md): Tokenizes text using Cohere v1 API format.

### Cursor Integration

- [Cursor hybrid chat completions](https://docs.getbifrost.ai/api-reference/cursor-integration/cursor-hybrid-chat-completions.md): Accepts Cursor's hybrid chat-completions payload (which is structurally a Responses API request with `input` blocks) and returns a chat- completions-shaped response (`choices` + `delta` chunks for streams). Routes the request through the Responses pipeline internally.
- [List models (Cursor)](https://docs.getbifrost.ai/api-reference/cursor-integration/list-models-cursor.md): Lists available models, returning the OpenAI `/v1/models` shape.
- [Anthropic complete (Cursor mount)](https://docs.getbifrost.ai/api-reference/cursor-integration/anthropic-complete-cursor-mount.md): Cursor mount of the legacy Anthropic `POST /v1/complete` endpoint.
- [Anthropic messages (Cursor mount)](https://docs.getbifrost.ai/api-reference/cursor-integration/anthropic-messages-cursor-mount.md): Cursor mount of `POST /anthropic/v1/messages`. Same request/response shape and streaming behaviour.
- [Anthropic messages — wildcard (Cursor mount)](https://docs.getbifrost.ai/api-reference/cursor-integration/anthropic-messages-—-wildcard-cursor-mount.md): Cursor mount of the Anthropic messages wildcard (`POST /anthropic/v1/messages/{path}`). Routes extended Anthropic messages endpoints (e.g. batches, count tokens) through Cursor.
- [Anthropic count tokens (Cursor mount)](https://docs.getbifrost.ai/api-reference/cursor-integration/anthropic-count-tokens-cursor-mount.md): Cursor mount of `POST /anthropic/v1/messages/count_tokens`.
- [Gemini list models (Cursor mount)](https://docs.getbifrost.ai/api-reference/cursor-integration/gemini-list-models-cursor-mount.md): Cursor mount of `GET /genai/v1beta/models`.
- [Gemini model action (Cursor mount)](https://docs.getbifrost.ai/api-reference/cursor-integration/gemini-model-action-cursor-mount.md): Cursor mount of Gemini's wildcard generate-content/embed/count-tokens/ predict endpoints. The `model` path parameter includes the action suffix (e.g. `gemini-pro:generateContent`).
- [Gemini video operation polling (Cursor mount)](https://docs.getbifrost.ai/api-reference/cursor-integration/gemini-video-operation-polling-cursor-mount.md)
- [Vertex rank (Cursor mount)](https://docs.getbifrost.ai/api-reference/cursor-integration/vertex-rank-cursor-mount.md): Cursor mount of `POST /genai/v1/rank` — Vertex AI ranking.
- [Bedrock converse (Cursor mount)](https://docs.getbifrost.ai/api-reference/cursor-integration/bedrock-converse-cursor-mount.md)
- [Bedrock converse stream (Cursor mount)](https://docs.getbifrost.ai/api-reference/cursor-integration/bedrock-converse-stream-cursor-mount.md)
- [Bedrock invoke (Cursor mount)](https://docs.getbifrost.ai/api-reference/cursor-integration/bedrock-invoke-cursor-mount.md)
- [Bedrock invoke-with-response-stream (Cursor mount)](https://docs.getbifrost.ai/api-reference/cursor-integration/bedrock-invoke-with-response-stream-cursor-mount.md)
- [Bedrock rerank (Cursor mount)](https://docs.getbifrost.ai/api-reference/cursor-integration/bedrock-rerank-cursor-mount.md)
- [Bedrock count tokens (Cursor mount)](https://docs.getbifrost.ai/api-reference/cursor-integration/bedrock-count-tokens-cursor-mount.md)
- [Cohere chat (Cursor mount)](https://docs.getbifrost.ai/api-reference/cursor-integration/cohere-chat-cursor-mount.md)
- [Cohere embed (Cursor mount)](https://docs.getbifrost.ai/api-reference/cursor-integration/cohere-embed-cursor-mount.md)
- [Cohere rerank (Cursor mount)](https://docs.getbifrost.ai/api-reference/cursor-integration/cohere-rerank-cursor-mount.md)
- [Cohere tokenize (Cursor mount)](https://docs.getbifrost.ai/api-reference/cursor-integration/cohere-tokenize-cursor-mount.md)

### LiteLLM Integration

- [Text completions (LiteLLM - OpenAI format)](https://docs.getbifrost.ai/api-reference/litellm-integration/text-completions-litellm--openai-format.md): Creates a text completion using OpenAI-compatible format via LiteLLM. This is the legacy completions API.
- [Chat completions (LiteLLM - OpenAI format)](https://docs.getbifrost.ai/api-reference/litellm-integration/chat-completions-litellm--openai-format.md): Creates a chat completion using OpenAI-compatible format via LiteLLM.
- [Create embeddings (LiteLLM - OpenAI format)](https://docs.getbifrost.ai/api-reference/litellm-integration/create-embeddings-litellm--openai-format.md): Creates embeddings using OpenAI-compatible format via LiteLLM.
- [List models (LiteLLM - OpenAI format)](https://docs.getbifrost.ai/api-reference/litellm-integration/list-models-litellm--openai-format.md): Lists available models using OpenAI-compatible format via LiteLLM.
- [Create response (LiteLLM - OpenAI Responses API)](https://docs.getbifrost.ai/api-reference/litellm-integration/create-response-litellm--openai-responses-api.md): Creates a response using OpenAI Responses API format via LiteLLM. Supports streaming via SSE.
- [Count input tokens (LiteLLM - OpenAI format)](https://docs.getbifrost.ai/api-reference/litellm-integration/count-input-tokens-litellm--openai-format.md): Counts the number of tokens in a Responses API request via LiteLLM.
- [Create speech (LiteLLM - OpenAI TTS)](https://docs.getbifrost.ai/api-reference/litellm-integration/create-speech-litellm--openai-tts.md): Generates audio from text using OpenAI TTS via LiteLLM.
- [Create transcription (LiteLLM - OpenAI Whisper)](https://docs.getbifrost.ai/api-reference/litellm-integration/create-transcription-litellm--openai-whisper.md): Transcribes audio into text using OpenAI Whisper via LiteLLM.
- [Create message (LiteLLM - Anthropic format)](https://docs.getbifrost.ai/api-reference/litellm-integration/create-message-litellm--anthropic-format.md): Creates a message using Anthropic-compatible format via LiteLLM.
- [List models (LiteLLM - Gemini format)](https://docs.getbifrost.ai/api-reference/litellm-integration/list-models-litellm--gemini-format.md): Lists available models in Google Gemini API format via LiteLLM.
- [Generate content (LiteLLM - Gemini format)](https://docs.getbifrost.ai/api-reference/litellm-integration/generate-content-litellm--gemini-format.md): Generates content using Google Gemini-compatible format via LiteLLM.
- [Stream generate content (LiteLLM - Gemini format)](https://docs.getbifrost.ai/api-reference/litellm-integration/stream-generate-content-litellm--gemini-format.md): Streams content generation using Google Gemini-compatible format via LiteLLM.
- [Converse with model (LiteLLM - Bedrock format)](https://docs.getbifrost.ai/api-reference/litellm-integration/converse-with-model-litellm--bedrock-format.md): Sends messages using AWS Bedrock Converse-compatible format via LiteLLM.
- [Stream converse with model (LiteLLM - Bedrock format)](https://docs.getbifrost.ai/api-reference/litellm-integration/stream-converse-with-model-litellm--bedrock-format.md): Streams messages using AWS Bedrock Converse-compatible format via LiteLLM.
- [Chat with model (LiteLLM - Cohere format)](https://docs.getbifrost.ai/api-reference/litellm-integration/chat-with-model-litellm--cohere-format.md): Sends a chat request using Cohere-compatible format via LiteLLM.
- [Create embeddings (LiteLLM - Cohere format)](https://docs.getbifrost.ai/api-reference/litellm-integration/create-embeddings-litellm--cohere-format.md): Creates embeddings using Cohere-compatible format via LiteLLM.
- [Tokenize text (LiteLLM - Cohere format)](https://docs.getbifrost.ai/api-reference/litellm-integration/tokenize-text-litellm--cohere-format.md): Tokenizes text using Cohere-compatible format via LiteLLM.

### LangChain Integration

- [Text completions (LangChain - OpenAI format)](https://docs.getbifrost.ai/api-reference/langchain-integration/text-completions-langchain--openai-format.md): Creates a text completion using OpenAI-compatible format via LangChain. This is the legacy completions API.
- [Chat completions (LangChain - OpenAI format)](https://docs.getbifrost.ai/api-reference/langchain-integration/chat-completions-langchain--openai-format.md): Creates a chat completion using OpenAI-compatible format via LangChain.
- [Create embeddings (LangChain - OpenAI format)](https://docs.getbifrost.ai/api-reference/langchain-integration/create-embeddings-langchain--openai-format.md): Creates embeddings using OpenAI-compatible format via LangChain.
- [List models (LangChain - OpenAI format)](https://docs.getbifrost.ai/api-reference/langchain-integration/list-models-langchain--openai-format.md): Lists available models using OpenAI-compatible format via LangChain.
- [Create response (LangChain - OpenAI Responses API)](https://docs.getbifrost.ai/api-reference/langchain-integration/create-response-langchain--openai-responses-api.md): Creates a response using OpenAI Responses API format via LangChain. Supports streaming via SSE.
- [Count input tokens (LangChain - OpenAI format)](https://docs.getbifrost.ai/api-reference/langchain-integration/count-input-tokens-langchain--openai-format.md): Counts the number of tokens in a Responses API request via LangChain.
- [Create speech (LangChain - OpenAI TTS)](https://docs.getbifrost.ai/api-reference/langchain-integration/create-speech-langchain--openai-tts.md): Generates audio from text using OpenAI TTS via LangChain.
- [Create transcription (LangChain - OpenAI Whisper)](https://docs.getbifrost.ai/api-reference/langchain-integration/create-transcription-langchain--openai-whisper.md): Transcribes audio into text using OpenAI Whisper via LangChain.
- [Create message (LangChain - Anthropic format)](https://docs.getbifrost.ai/api-reference/langchain-integration/create-message-langchain--anthropic-format.md): Creates a message using Anthropic-compatible format via LangChain.
- [Count tokens (LangChain - Anthropic format)](https://docs.getbifrost.ai/api-reference/langchain-integration/count-tokens-langchain--anthropic-format.md): Counts tokens using Anthropic-compatible format via LangChain.
- [List models (LangChain - Gemini format)](https://docs.getbifrost.ai/api-reference/langchain-integration/list-models-langchain--gemini-format.md): Lists available models in Google Gemini API format via LangChain.
- [Generate content (LangChain - Gemini format)](https://docs.getbifrost.ai/api-reference/langchain-integration/generate-content-langchain--gemini-format.md): Generates content using Google Gemini-compatible format via LangChain.
- [Stream generate content (LangChain - Gemini format)](https://docs.getbifrost.ai/api-reference/langchain-integration/stream-generate-content-langchain--gemini-format.md): Streams content generation using Google Gemini-compatible format via LangChain.
- [Converse with model (LangChain - Bedrock format)](https://docs.getbifrost.ai/api-reference/langchain-integration/converse-with-model-langchain--bedrock-format.md): Sends messages using AWS Bedrock Converse-compatible format via LangChain.
- [Stream converse with model (LangChain - Bedrock format)](https://docs.getbifrost.ai/api-reference/langchain-integration/stream-converse-with-model-langchain--bedrock-format.md): Streams messages using AWS Bedrock Converse-compatible format via LangChain.
- [Chat with model (LangChain - Cohere format)](https://docs.getbifrost.ai/api-reference/langchain-integration/chat-with-model-langchain--cohere-format.md): Sends a chat request using Cohere-compatible format via LangChain.
- [Create embeddings (LangChain - Cohere format)](https://docs.getbifrost.ai/api-reference/langchain-integration/create-embeddings-langchain--cohere-format.md): Creates embeddings using Cohere-compatible format via LangChain.
- [Tokenize text (LangChain - Cohere format)](https://docs.getbifrost.ai/api-reference/langchain-integration/tokenize-text-langchain--cohere-format.md): Tokenizes text using Cohere-compatible format via LangChain.

### PydanticAI Integration

- [Text completions (PydanticAI - OpenAI format)](https://docs.getbifrost.ai/api-reference/pydanticai-integration/text-completions-pydanticai--openai-format.md): Creates a text completion using OpenAI-compatible format via PydanticAI. This is the legacy completions API.
- [Chat completions (PydanticAI - OpenAI format)](https://docs.getbifrost.ai/api-reference/pydanticai-integration/chat-completions-pydanticai--openai-format.md): Creates a chat completion using OpenAI-compatible format via PydanticAI.
- [Create embeddings (PydanticAI - OpenAI format)](https://docs.getbifrost.ai/api-reference/pydanticai-integration/create-embeddings-pydanticai--openai-format.md): Creates embeddings using OpenAI-compatible format via PydanticAI.
- [List models (PydanticAI - OpenAI format)](https://docs.getbifrost.ai/api-reference/pydanticai-integration/list-models-pydanticai--openai-format.md): Lists available models using OpenAI-compatible format via PydanticAI.
- [Create response (PydanticAI - OpenAI Responses API)](https://docs.getbifrost.ai/api-reference/pydanticai-integration/create-response-pydanticai--openai-responses-api.md): Creates a response using OpenAI Responses API format via PydanticAI. Supports streaming via SSE.
- [Count input tokens (PydanticAI - OpenAI format)](https://docs.getbifrost.ai/api-reference/pydanticai-integration/count-input-tokens-pydanticai--openai-format.md): Counts the number of tokens in a Responses API request via PydanticAI.
- [Create speech (PydanticAI - OpenAI TTS)](https://docs.getbifrost.ai/api-reference/pydanticai-integration/create-speech-pydanticai--openai-tts.md): Generates audio from text using OpenAI TTS via PydanticAI.
- [Create transcription (PydanticAI - OpenAI Whisper)](https://docs.getbifrost.ai/api-reference/pydanticai-integration/create-transcription-pydanticai--openai-whisper.md): Transcribes audio into text using OpenAI Whisper via PydanticAI.
- [Create message (PydanticAI - Anthropic format)](https://docs.getbifrost.ai/api-reference/pydanticai-integration/create-message-pydanticai--anthropic-format.md): Creates a message using Anthropic-compatible format via PydanticAI.
- [List models (PydanticAI - Gemini format)](https://docs.getbifrost.ai/api-reference/pydanticai-integration/list-models-pydanticai--gemini-format.md): Lists available models in Google Gemini API format via PydanticAI.
- [Generate content (PydanticAI - Gemini format)](https://docs.getbifrost.ai/api-reference/pydanticai-integration/generate-content-pydanticai--gemini-format.md): Generates content using Google Gemini-compatible format via PydanticAI.
- [Stream generate content (PydanticAI - Gemini format)](https://docs.getbifrost.ai/api-reference/pydanticai-integration/stream-generate-content-pydanticai--gemini-format.md): Streams content generation using Google Gemini-compatible format via PydanticAI.
- [Converse with model (PydanticAI - Bedrock format)](https://docs.getbifrost.ai/api-reference/pydanticai-integration/converse-with-model-pydanticai--bedrock-format.md): Sends messages using AWS Bedrock Converse-compatible format via PydanticAI.
- [Stream converse with model (PydanticAI - Bedrock format)](https://docs.getbifrost.ai/api-reference/pydanticai-integration/stream-converse-with-model-pydanticai--bedrock-format.md): Streams messages using AWS Bedrock Converse-compatible format via PydanticAI.
- [Chat with model (PydanticAI - Cohere format)](https://docs.getbifrost.ai/api-reference/pydanticai-integration/chat-with-model-pydanticai--cohere-format.md): Sends a chat request using Cohere-compatible format via PydanticAI.
- [Create embeddings (PydanticAI - Cohere format)](https://docs.getbifrost.ai/api-reference/pydanticai-integration/create-embeddings-pydanticai--cohere-format.md): Creates embeddings using Cohere-compatible format via PydanticAI.
- [Tokenize text (PydanticAI - Cohere format)](https://docs.getbifrost.ai/api-reference/pydanticai-integration/tokenize-text-pydanticai--cohere-format.md): Tokenizes text using Cohere v1 API format via PydanticAI.

## OpenAPI Specs

- [openapi](/openapi/openapi.json)
